Test a Langfuse analytics export destination
curl --request POST \
--url https://api.openworklabs.com/v1/inference/analytics/langfuse/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"host": "<string>",
"publicKey": "<string>",
"secretKey": "<string>"
}
'import requests
url = "https://api.openworklabs.com/v1/inference/analytics/langfuse/test"
payload = {
"host": "<string>",
"publicKey": "<string>",
"secretKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({host: '<string>', publicKey: '<string>', secretKey: '<string>'})
};
fetch('https://api.openworklabs.com/v1/inference/analytics/langfuse/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "<string>",
"message": "<string>"
}Inference
Test a Langfuse analytics export destination
Sends an empty batch to the given Langfuse host with the project keys to verify connectivity. Nothing is stored.
POST
/
v1
/
inference
/
analytics
/
langfuse
/
test
Test a Langfuse analytics export destination
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Body
application/json
Response
The destination is reachable.
Was this page helpful?